## ros-melodic-volksbot-driver 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(volksbot_driver)

find_package(
             catkin REQUIRED
             COMPONENTS
                 roscpp
                 sensor_msgs
                 geometry_msgs
                 nav_msgs
                 tf)

find_package(
            LibEPOS2 NO_MODULE REQUIRED)

catkin_package()

include(${LIBEPOS2_USE_FILE})

include_directories(${catkin_INCLUDE_DIRS} include/)

add_executable(volksbot src/volksbot_node.cpp src/volksbot.cpp)
target_link_libraries(volksbot ${LIBEPOS2_LIBRARIES} ${catkin_LIBRARIES})
add_dependencies(volksbot ${catkin_EXPORTED_TARGETS})

install(TARGETS volksbot RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch/ DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)
install(DIRECTORY meshes/ DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/meshes)
install(DIRECTORY urdf/ DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/urdf)

=== debian/changelog ===
ros-melodic-volksbot-driver (1.0.1-1stretch) stretch; urgency=high

  * support for four and six wheels, as well as changing the joint names
  * Contributors: Sebastian Pütz

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 07 Apr 2020 22:00:00 -0000

ros-melodic-volksbot-driver (1.0.0-1stretch) stretch; urgency=high

  * Release version 1.0.0
  * Contributors: Jochen Sprickerhof, Marc-André Aßbrock, Martin Günther, Michael Görner, Michael Stypa, Sebastian Pütz, Tristan Igelbrink, ma-assbrock, v4hn

 -- Sebastian Pütz <spuetz@uos.de>  Sun, 28 Apr 2019 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-volksbot-driver
Section: misc
Priority: optional
Maintainer: Sebastian Pütz <spuetz@uos.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-epos2-motor-controller, ros-melodic-geometry-msgs, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-tf
Homepage: http://wiki.ros.org/volksbot_driver
Standards-Version: 3.9.2

Package: ros-melodic-volksbot-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-epos2-motor-controller, ros-melodic-geometry-msgs, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-tf
Description: Driver for the Volksbot robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-volksbot-driver//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
